<template>
  <div class="footer bg-light py-2 mt-5 mt-md-4">
    <div class="container">
      <div class="row">
        <div class="col d-flex flex-column flex-md-row justify-content-center align-items-center justify-content-md-between">
          <a
            href=""
            class="text-primary font-weight-bold d-flex align-items-center whatsapp-text"
            @click.prevent="$bvModal.show('modal-vendors')"
          >
            <img
              src="@/assets/images/icons/whatsapp.png"
              alt="Whatsapp"
              class="mr-2"
            />
            Contacta a una vendedora
          </a>

          <!-- <p class="small my-0">
            Creado por <a href="https://www.softaki.com" target="_blank">Softaki</a>
          </p> -->

          <div>
            <span class="d-inline-block mr-1">Conoce más de nosotros</span>

            <a :href="appConfig.contact.tiktok" target="_blank" class="social tiktok mr-1">
              <i class="fab fa-tiktok"></i>
            </a>

            <a :href="appConfig.contact.facebook" target="_blank" class="social mr-1">
              <i class="fab fa-facebook"></i>
            </a>

            <a href="" target="_blank" class="social mr-1" @click.prevent="showLightbox = true">
              <i class="fas fa-images"></i>
            </a>

            <a :href="appConfig.contact.waze" target="_blank" class="social mr-1">
              <i class="fab fa-waze"></i>
            </a>

            <a :href="appConfig.contact.maps" target="_blank" class="social maps">
              <i class="fas fa-map-marker-alt"></i>
            </a>
          </div>
        </div>
      </div>
    </div>

    <b-modal
      id="modal-vendors"
      size="lg"
      hide-header
      hide-footer
      centered
    >
      <div class="text-center text-md-left d-flex flex-column flex-md-row justify-content-between p-3">
        <div>
          <p class="font-weight-bold mb-0">¿Necesitas ayuda?</p>

          <p class="my-0 text-left">Ponte en contacto con uno de nuestros asesoras.</p>
        </div>

        <span class="vendor-icon">
          <i class="fas fa-user-tie"></i>
        </span>

        <button type="button" class="close-modal border-0 bg-transparent" @click="$bvModal.hide('modal-vendors')">
          <i class="fas fa-times"></i>
        </button>
      </div>

      <div class="container mt-3 pb-2">
        <div class="row">
          <div class="col-6 col-md-4 mb-3 mb-md-4" v-for="item in vendors" :key="item.id">
            <div class="d-flex align-items-start shadow-card p-1">
              <img
                :src="item.foto.url"
                :alt="item.nombre"
                class="vendor-image"
              />

              <div class="d-flex flex-column pl-2">
                <span class="font-weight-bold">{{ item.nombre }}</span>

                <a :href="item.link" target="_blank" class="text-success"
                  >Contactar</a
                >
              </div>
            </div>
          </div>
        </div>
      </div>
    </b-modal>

    <vue-easy-lightbox
      escDisabled
      moveDisabled
      :visible="showLightbox"
      :imgs="images"
      @hide="showLightbox = false"
    ></vue-easy-lightbox>
    
  </div>
</template>

<script>
import { appConfig } from "@/app-config.js";

import GetImagenes from '@/graphql/queries/common/GetImagenes.gql'
import GetAllVendedoras from "@/graphql/queries/common/GetAllVendedoras.gql";

export default {
  data() {
    return {
      appConfig,
      vendors: [],
      images: [],
      showLightbox: false
    };
  },
  mounted() {
    this.getVendors();

    this.getImages()
  },
  methods: {
    async getVendors() {
      let response = await this.$apollo.query({
        query: GetAllVendedoras,
      });

      this.vendors = response.data.GetAllVendedoras;
    },
    async getImages() {
      let response = await this.$apollo.query({
        query: GetImagenes,
        variables: {
          estado: 'Activado'
        }
      })

      this.images = response.data.GetImagenes
      this.images = this.images.map(item => item.url)
    }
  },
};
</script>

<style lang="scss" scoped>
@import "~/assets/scss/variables";

.footer {
  width: 100%;
  border-top: 1px solid rgba($secondary, 0.2);
  position: fixed;
  bottom: 0;

  @media (min-width: 992px) {
    width: calc(100% - 320px);
  }

  .social {
    font-size: 1.5em;
    font-weight: bold;
    color: rgba($dark, 0.9);

    &:hover {
      color: $blue;
    }

    &.maps {
      &:hover {
        color: $success;
      }
    }

    &.tiktok {
      &:hover {
        color: $danger;
      }
    }
  }
}

#modal-vendors {
  .logo {
    max-width: 100px;
  }

  .vendor-image {
    width: 50px;
  }

  .vendor-icon {
    font-size: 35px;
    color: rgba($secondary, .5);
    order: -1;

    @media (min-width: 768px) {
      order: 2;
    }
  }

  .close-modal {
    position: absolute;
    top: .3rem;
    right: .3rem;
  }
}
</style>
